%define modname dio
%define soname %{modname}.so
%define inifile 17_%{modname}.ini
%define incdir %(php-config82 --include-dir)
%define extdir %(php-config82 --extension-dir)


Summary:	Direct I/O extension module for PHP
Name:		php-%{modname}
Version:	0.2.1
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/dio
Source0:	https://pecl.php.net/get/dio-%{version}.tgz
Epoch:		2
BuildRequires:	php-devel >= 3:8.2.0
Requires:       php >= 3:8.2.0
Requires:       php-common = 3:8.2

%description
PHP supports the direct io functions as described in the Posix Standard
(Section 6) for performing I/O functions at a lower level than the C-Language
stream I/O functions (fopen(), fread(),..). The use of the DIO functions should
be considered only when direct control of a device is needed. In all other
cases, the standard filesystem functions are more than adequate.

%prep

%setup -q -n dio-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}




%changelog
* Fri Nov 04 2022 mokraemer <mokraemer> 2:0.2.1-6.mga9
+ Revision: 1902344
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 2:0.2.1-5.mga9
+ Revision: 1879768
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 2:0.2.1-4.mga9
+ Revision: 1869992
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 2:0.2.1-3.mga9
+ Revision: 1869861
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 2:0.2.1-2.mga9
+ Revision: 1796843
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 mokraemer <mokraemer> 2:0.2.1-1.mga9
+ Revision: 1769837
- new version 0.2.1

* Fri Nov 26 2021 mokraemer <mokraemer> 2:0.2.0-4.mga9
+ Revision: 1759357
- rebuild for php 8.1

* Sun Nov 29 2020 mokraemer <mokraemer> 2:0.2.0-3.mga8
+ Revision: 1650249
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 2:0.2.0-2.mga8
+ Revision: 1596252
- fix dep to current version

* Thu Apr 16 2020 mokraemer <mokraemer> 2:0.2.0-1.mga8
+ Revision: 1567892
- new version 0.2.0

* Tue Feb 18 2020 umeabot <umeabot> 2:0.1.0-10.mga8
+ Revision: 1538970
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2:0.1.0-9.mga8
+ Revision: 1463516
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2:0.1.0-8.mga8
+ Revision: 1454915
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 2:0.1.0-6.mga7
+ Revision: 1340429
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2:0.1.0-5.mga7
+ Revision: 1325834
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2:0.1.0-4.mga7
+ Revision: 1300213
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2:0.1.0-3.mga7
+ Revision: 1217353
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2:0.1.0-2.mga7
+ Revision: 1180964
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2:0.1.0-1.mga7
+ Revision: 1177245
- new version

* Fri Feb 12 2016 umeabot <umeabot> 2:0.0.7-7.mga6
+ Revision: 958357
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:0.0.7-6.mga5
+ Revision: 748982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:0.0.7-5.mga5
+ Revision: 687115
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2:0.0.7-4.mga5
+ Revision: 616545
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 2:0.0.7-3.mga4
+ Revision: 567609
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 2:0.0.7-2.mga4
+ Revision: 527887
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2:0.0.7-1.mga4
+ Revision: 442845
- 0.0.7

* Wed Jan 30 2013 oden <oden> 2:0.0.6-3.mga3
+ Revision: 393257
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:0.0.6-2.mga3
+ Revision: 375733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 2:0.0.6-1.mga3
+ Revision: 275636
- upgrade to 0.0.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:0.0.4-0.0.RC4.7.mga2
+ Revision: 223878
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 2:0.0.4-0.0.RC4.6.mga2
+ Revision: 185142
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 2:0.0.4-0.0.RC4.5.mga1
+ Revision: 47810
- removed buildroot definition from .spec
- imported package php-dio

